Channel Management/Publishing
Update Publish Time
Interface description: Update the publish time of a pending task. taskId comes from data.tasks[n].id in the successful Create Publishing Flow response. publishAt must be a future ISO 8601 timestamp, and the task status must allow the update.
PATCH
/
api
/
v2
/
channels
/
publish
/
tasks
/
{taskId}
/
publish-at
Update Publish Time
curl --request PATCH \
--url https://aitoearn.cn/api/v2/channels/publish/tasks/{taskId}/publish-at \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"publishAt": "2030-01-01T00:00:00.000Z"
}
'import requests
url = "https://aitoearn.cn/api/v2/channels/publish/tasks/{taskId}/publish-at"
payload = { "publishAt": "2030-01-01T00:00:00.000Z" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({publishAt: '2030-01-01T00:00:00.000Z'})
};
fetch('https://aitoearn.cn/api/v2/channels/publish/tasks/{taskId}/publish-at', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/publish/tasks/{taskId}/publish-at"
payload := strings.NewReader("{\n \"publishAt\": \"2030-01-01T00:00:00.000Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"taskId": "string"
},
"requestId": "string"
}Authorizations
Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".
Path Parameters
Task ID from data.tasks[n].id in the Create Publishing Flow response.
Example:
"task-id-from-create-flow"
Body
application/json
Target release time
Response
200 - application/json
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
Last modified on September 29, 2026
⌘I
Update Publish Time
curl --request PATCH \
--url https://aitoearn.cn/api/v2/channels/publish/tasks/{taskId}/publish-at \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"publishAt": "2030-01-01T00:00:00.000Z"
}
'import requests
url = "https://aitoearn.cn/api/v2/channels/publish/tasks/{taskId}/publish-at"
payload = { "publishAt": "2030-01-01T00:00:00.000Z" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({publishAt: '2030-01-01T00:00:00.000Z'})
};
fetch('https://aitoearn.cn/api/v2/channels/publish/tasks/{taskId}/publish-at', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/publish/tasks/{taskId}/publish-at"
payload := strings.NewReader("{\n \"publishAt\": \"2030-01-01T00:00:00.000Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"taskId": "string"
},
"requestId": "string"
}
